%define name qsas
%define version 2.3.09
%define release 1

%define _unpackaged_files_terminate_build 0

Summary: QSAS: Science Analysis Software for Space Plasmass
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.sp.ph.ic.ac.uk/csc-web/QSAS/qsas-2.3dist.tar.gz
Vendor: The QSAS Team
URL: http://www.sp.ph.ic.ac.uk/csc-web/QSAS/qsas_welcome.html
License: GPL
Group: Science/Physics
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
#Requires: 


%description
The Queen Mary Science Analysis System (QSAS) is an X-application tailored to the analysis and display of data from space plasma missions. It can ingest, manipulate, display, and export science data, and pays particular attention to the associated "metadata" (units, reference frames, etc.). Most space plasma measurements are made sequentially in time, and QSAS has been specifically designed with this in mind.

%prep
%setup -q -n qsas-2.3dist

%build
export CFLAGS="$RPM_OPT_FLAGS -g"
export CXXFLAGS="$RPM_OPT_FLAGS -g"
./configure --prefix=/usr/local/%{name}/%{version}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT/*
make DESTDIR=$RPM_BUILD_ROOT install-strip
cp AUTHORS $RPM_BUILD_ROOT/usr/local/%{name}/%{version}/doc/
cp COPYING $RPM_BUILD_ROOT/usr/local/%{name}/%{version}/doc/
cp INSTALL $RPM_BUILD_ROOT/usr/local/%{name}/%{version}/doc/
cp NEWS $RPM_BUILD_ROOT/usr/local/%{name}/%{version}/doc/
cp README $RPM_BUILD_ROOT/usr/local/%{name}/%{version}/doc/
cp THANKS $RPM_BUILD_ROOT/usr/local/%{name}/%{version}/doc/
cp doc/PlugIns.pdf $RPM_BUILD_ROOT/usr/local/%{name}/%{version}/doc/
cp -R doc/programmerDoc $RPM_BUILD_ROOT/usr/local/%{name}/%{version}/doc/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT/* 

%post
mkdir -p /usr/share/doc/qsas
cp -R /usr/local/%{name}/%{version}/doc /usr/share/doc/qsas/
ln -s /usr/local/%{name}/%{version}/bin/QSAS %{_bindir}/qsas
ln -s /usr/local/%{name}/%{version}/bin/QSAS %{_bindir}/QSAS

%postun
rm -rf /usr/share/doc/qsas
rm %{_bindir}/qsas
rm %{_bindir}/QSAS

%files
%defattr(-,root,root)
/usr/local/%{name}/%{version}/bin
/usr/local/%{name}/%{version}/lib/*so*
/usr/local/%{name}/%{version}/lib/*.fnt
/usr/local/%{name}/%{version}/include
/usr/local/%{name}/%{version}/q*
/usr/local/%{name}/%{version}/doc
#/usr/local/%{name}/%{version}/share
/usr/local/%{name}/%{version}/SampleClusterData
/usr/local/%{name}/%{version}/tmp
%defattr(777,root,root)
/usr/local/%{name}/%{version}/examples


%changelog
* Tue Dec 16 2008 A. Rochel <a.rochel@imperial.ac.uk>
- Added QSAS as another symlink to the launcher.

* Fri Jun 06 2008 A. Rochel <a.rochel@imperial.ac.uk>
- The %files section will not try any more to install the qpgplot files if built from source on a system with an external pgplot installation.

* Tue Apr 15 2008 A. Rochel <a.rochel@imperial.ac.uk>
- Removed the --as-needed flags that prevented the build to complete on some systems. The counterpart is that the generated RPMs may be less portable.

* Fri Feb 22 2008 A. Rochel <a.rochel@imperial.ac.uk>
- Building in /tmp

* Mon Feb 18 2008 A. Rochel <a.rochel@imperial.ac.uk>
- Removed useless ldconfig in post and postun

* Thu Feb 14 2008 A. Rochel <a.rochel@imperial.ac.uk>
- Good owner (root) for the files!

* Wed Feb 13 2008 A. Rochel <a.rochel@imperial.ac.uk>
- Second version, numerous minor changes, one major change: installation path indexed by version number

* Mon Feb 11 2008 A. Rochel <a.rochel@imperial.ac.uk>
- First draft of the spec file
